]> arthur.barton.de Git - bup.git/commitdiff
join-cmd: copy to bup.cmd.join
authorRob Browning <rlb@defaultvalue.org>
Sun, 7 Feb 2021 22:54:13 +0000 (16:54 -0600)
committerRob Browning <rlb@defaultvalue.org>
Sat, 6 Mar 2021 18:29:38 +0000 (12:29 -0600)
Signed-off-by: Rob Browning <rlb@defaultvalue.org>
lib/bup/cmd/join.py [new file with mode: 0755]
lib/cmd/join-cmd.py [deleted file]

diff --git a/lib/bup/cmd/join.py b/lib/bup/cmd/join.py
new file mode 100755 (executable)
index 0000000..b81fa26
--- /dev/null
@@ -0,0 +1,66 @@
+#!/bin/sh
+"""": # -*-python-*-
+# https://sourceware.org/bugzilla/show_bug.cgi?id=26034
+export "BUP_ARGV_0"="$0"
+arg_i=1
+for arg in "$@"; do
+    export "BUP_ARGV_${arg_i}"="$arg"
+    shift
+    arg_i=$((arg_i + 1))
+done
+# Here to end of preamble replaced during install
+bup_python="$(dirname "$0")/../../../config/bin/python" || exit $?
+exec "$bup_python" "$0"
+"""
+# end of bup preamble
+
+from __future__ import absolute_import
+
+# Intentionally replace the dirname "$0" that python prepends
+import os, sys
+sys.path[0] = os.path.dirname(os.path.realpath(__file__)) + '/..'
+
+from bup import compat, git, options
+from bup.compat import argv_bytes
+from bup.helpers import linereader, log
+from bup.io import byte_stream
+from bup.repo import LocalRepo, RemoteRepo
+
+
+optspec = """
+bup join [-r host:path] [refs or hashes...]
+--
+r,remote=  remote repository path
+o=         output filename
+"""
+o = options.Options(optspec)
+opt, flags, extra = o.parse(compat.argv[1:])
+if opt.remote:
+    opt.remote = argv_bytes(opt.remote)
+
+git.check_repo_or_die()
+
+stdin = byte_stream(sys.stdin)
+
+if not extra:
+    extra = linereader(stdin)
+
+ret = 0
+repo = RemoteRepo(opt.remote) if opt.remote else LocalRepo()
+
+if opt.o:
+    outfile = open(opt.o, 'wb')
+else:
+    sys.stdout.flush()
+    outfile = byte_stream(sys.stdout)
+
+for ref in [argv_bytes(x) for x in extra]:
+    try:
+        for blob in repo.join(ref):
+            outfile.write(blob)
+    except KeyError as e:
+        outfile.flush()
+        log('error: %s\n' % e)
+        ret = 1
+
+sys.exit(ret)
diff --git a/lib/cmd/join-cmd.py b/lib/cmd/join-cmd.py
deleted file mode 100755 (executable)
index da2ec92..0000000
+++ /dev/null
@@ -1,66 +0,0 @@
-#!/bin/sh
-"""": # -*-python-*-
-# https://sourceware.org/bugzilla/show_bug.cgi?id=26034
-export "BUP_ARGV_0"="$0"
-arg_i=1
-for arg in "$@"; do
-    export "BUP_ARGV_${arg_i}"="$arg"
-    shift
-    arg_i=$((arg_i + 1))
-done
-# Here to end of preamble replaced during install
-bup_python="$(dirname "$0")/../../config/bin/python" || exit $?
-exec "$bup_python" "$0"
-"""
-# end of bup preamble
-
-from __future__ import absolute_import
-
-# Intentionally replace the dirname "$0" that python prepends
-import os, sys
-sys.path[0] = os.path.dirname(os.path.realpath(__file__)) + '/..'
-
-from bup import compat, git, options
-from bup.compat import argv_bytes
-from bup.helpers import linereader, log
-from bup.io import byte_stream
-from bup.repo import LocalRepo, RemoteRepo
-
-
-optspec = """
-bup join [-r host:path] [refs or hashes...]
---
-r,remote=  remote repository path
-o=         output filename
-"""
-o = options.Options(optspec)
-opt, flags, extra = o.parse(compat.argv[1:])
-if opt.remote:
-    opt.remote = argv_bytes(opt.remote)
-
-git.check_repo_or_die()
-
-stdin = byte_stream(sys.stdin)
-
-if not extra:
-    extra = linereader(stdin)
-
-ret = 0
-repo = RemoteRepo(opt.remote) if opt.remote else LocalRepo()
-
-if opt.o:
-    outfile = open(opt.o, 'wb')
-else:
-    sys.stdout.flush()
-    outfile = byte_stream(sys.stdout)
-
-for ref in [argv_bytes(x) for x in extra]:
-    try:
-        for blob in repo.join(ref):
-            outfile.write(blob)
-    except KeyError as e:
-        outfile.flush()
-        log('error: %s\n' % e)
-        ret = 1
-
-sys.exit(ret)